using System;

namespace HumanityServices
{
	/// <summary>
	/// Class: KeepAliveWeb
	/// 2005,2006 Advance Guard Technologies - All Rights reserved
	/// Created: 2005.05.06 by ken norwick
	/// This class encapsulates the properties and methods of a Humanity
	/// Web KeepAlive object, and allows us to process only specific
	/// web sites with this service.
	/// </summary>
	public class KeepAliveWeb
	{
		private String _KeepAliveWebID = "";
		private String _KeepAliveWebURL = "";
		private String _KeepAliveWebPhysicalRoot = "";
		private String _KeepAliveWebPagePrimary = "";
		private String _KeepAliveWebPageSecondary = "";
        private String _KeepAliveWebPageDailyTasks = "";

		/// <summary>
		/// Constructor: KeepAliveWeb object
		/// </summary>
		public KeepAliveWeb()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		/// <summary>
		/// Property: KeepAliveWebID
		/// String containing a unique identifier for the Humanity web
		/// </summary>
		public String KeepAliveWebID
		{
			get{return _KeepAliveWebID;}
			set{_KeepAliveWebID = value;}
		}//end of property

		/// <summary>
		/// Property: KeepAliveWebURL
		/// String containg the fully qualified URL for the Humanity web to
		/// be maintained by the KeepAlive service.
		/// </summary>
		public String KeepAliveWebURL
		{
			get{return _KeepAliveWebURL;}
			set{_KeepAliveWebURL = value;}
		}//end of property

		/// <summary>
		/// Property: KeepAliveWebPhysicalRoot
		/// String containing the web application's root physical path.
		/// </summary>
		public String KeepAliveWebPhysicalRoot
		{
			get{return _KeepAliveWebPhysicalRoot;}
			set{_KeepAliveWebPhysicalRoot = value;}
		}//end of property

		/// <summary>
		/// Property: KeepAliveWebPagePrimary
		/// String containing the web site's initial page to load
		/// </summary>
		public String KeepAliveWebPagePrimary
		{
			get{return _KeepAliveWebPagePrimary;}
			set{_KeepAliveWebPagePrimary = value;}
		}//end of property

		/// <summary>
		/// Property: KeepAliveWebPageSecondary
		/// String containing the web site's secondary (if any) page to load
		/// </summary>
		public String KeepAliveWebPageSecondary
		{
			get{return _KeepAliveWebPageSecondary;}
			set{_KeepAliveWebPageSecondary = value;}
		}//end of property

        public String KeepAliveWebPageDailyTasks
        {
            get { return _KeepAliveWebPageDailyTasks; }
            set { _KeepAliveWebPageDailyTasks = value; }
        }//end of property

	}//end of class
}//end of namespace
